
package de.ivu.elect.presentation.entschaedigung.action;

import de.ivu.elect.business.entschaedigung.entity.Auszahlung;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.entschaedigung.exchange.AuszahlungExportView;

public class AuszahlungExportAction extends AbstractAuszahlungAction {

  private static final long serialVersionUID = 1L;

  public AuszahlungExportAction() {
    super();
  }

  @Override
  protected UseCasePermission getRequiredPermission() {
    return UseCasePermission.KONTODATEN_EXPORTIEREN;
  }

  @Override
  protected String doIt(Auszahlung auszahlung) {
    auszahlungConversationSelect.setEntity(auszahlung);

    return AuszahlungExportView.VIEW_ID;
  }

  @Override
  public String getLabelKey() {
    return "entity.edit.action.export";
  }

  @Override
  public String getIcon() {
    return appIcons.getIconExport();
  }
}
